zenilib: zenilib/jni/external/sdl/src/test/SDL_test_crc32.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_test_crc32.c File Reference
`#include "SDL_config.h"`
`#include "SDL_test.h"`

Go to the source code of this file.

## Functions

int | SDLTest_Crc32Calc (SDLTest_Crc32Context *crcContext, CrcUint8 *inBuf, CrcUint32 inLen, CrcUint32 *crc32)
int | SDLTest_Crc32CalcBuffer (SDLTest_Crc32Context *crcContext, CrcUint8 *inBuf, CrcUint32 inLen, CrcUint32 *crc32)
int | SDLTest_Crc32CalcEnd (SDLTest_Crc32Context *crcContext, CrcUint32 *crc32)
int | SDLTest_Crc32CalcStart (SDLTest_Crc32Context *crcContext, CrcUint32 *crc32)
int | SDLTest_Crc32Done (SDLTest_Crc32Context *crcContext)
int | SDLTest_Crc32Init (SDLTest_Crc32Context *crcContext)

## Function Documentation

int SDLTest_Crc32Calc | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint8 * | inBuf,
|  | CrcUint32 | inLen,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 73 of file SDL_test_crc32.c.

References SDLTest_Crc32CalcBuffer(), SDLTest_Crc32CalcEnd(), and SDLTest_Crc32CalcStart().

int SDLTest_Crc32CalcBuffer | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint8 * | inBuf,
|  | CrcUint32 | inLen,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 128 of file SDL_test_crc32.c.

References crc32(), SDLTest_Crc32Context::crc32_table, CrcUint32, CrcUint8, and NULL.

Referenced by SDLTest_Crc32Calc().

int SDLTest_Crc32CalcEnd | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 110 of file SDL_test_crc32.c.

References NULL.

Referenced by SDLTest_Crc32Calc().

int SDLTest_Crc32CalcStart | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 92 of file SDL_test_crc32.c.

References NULL.

Referenced by SDLTest_Crc32Calc().

int SDLTest_Crc32Done | ( | SDLTest_Crc32Context * | crcContext | ) |

/brief clean up CRC context

/param crcContext pointer to context variable

/returns 0 for OK, -1 on error

Definition at line 158 of file SDL_test_crc32.c.

References NULL.

int SDLTest_Crc32Init | ( | SDLTest_Crc32Context * | crcContext | ) |

/brief Initialize the CRC context

Note: The function initializes the crc table required for all crc calculations.

/param crcContext pointer to context variable

/returns 0 for OK, -1 on error

Definition at line 34 of file SDL_test_crc32.c.

References CRC32_POLY, SDLTest_Crc32Context::crc32_table, CrcUint32, i, j, and NULL.